ECOM Transaction API
POST /merchant-gateways/{merchantGatewayId}/merchants/{merchantId}/tokens/{tokenId}/transactions
post/merchant-gateways/{merchantGatewayId}/merchants/{merchantId}/tokens/{tokenId}/transactions
Path parameters
merchantGatewayIdstring · min: 10 · max: 10RequiredExample:
Merchant Gateway Identifier.
MGW_123456merchantIdstring · min: 11 · max: 11RequiredExample:
Merchant Identifier (aka Token Requestor ID) generated by the scheme TSP for that merchant.
10610027312tokenIdstring · min: 1 · max: 48Required
Unique Token Identifier
Body
transactionIdstringRequiredExample:
Rrn123456789Pattern: ^[A-Za-z0-9]{1,12}$transactionDateTimestringRequiredExample:
UTC Transaction date in 'YYYYMMDDhhmmss' format.
20260225140530Pattern: ^[0-9]{14}$amountstringRequiredExample:
smallest unit of currency right justified with leading zeros
000000002100Pattern: ^[0-9]{12}$currencyCodestringRequiredExample:
Currency code as per ISO 4217
978Pattern: ^[0-9]{3}$Responses
200
Transaction Created
application/json
encryptedDatastringOptional
The payment credentials data encrypted with JWE format (https://datatracker.ietf.org/doc/html/rfc7516) using following encryption parameters:
- JWE base64url encoded string
- "alg" (Algorithm) header parameter: ECDH-ES
- "enc" (Encryption Algorithm) header parameter: A256GCM
- "kid" (Key ID) header parameter: Key identifier corresponding to EC public key of the recipient
- EC curve: P-256 The JSON object that is encrypted is defined as follows:
| JSON field parameter name | description | MOC | Length |
|---|---|---|---|
| dpan | The token PAN value | M | Up to 19 |
| exp | The token expiry date in the format MMYY | M | 4 |
| cryptogram | The payment cryptogram to use with the token for a payment | M | Up to 256 |
Example: {"dpan:"9580981500100002", "exp":"1222", "cryptogram": "45f8grzty7f4f5gs5s2c"}
400
Error while performing the operation
application/json
500
Internal Server Error - Not retryable
503
Unavailable - Retryable
post/merchant-gateways/{merchantGatewayId}/merchants/{merchantId}/tokens/{tokenId}/transactions
POST /tsp/ecom/v1.0/merchant-gateways/{merchantGatewayId}/merchants/{merchantId}/tokens/{tokenId}/transactions HTTP/1.1
Host: TSP_PROD_DOMAIN
Content-Type: application/json
Accept: */*
Content-Length: 116
{
"transactionId": "Rrn123456789",
"transactionDateTime": "20260225140530",
"amount": "000000002100",
"currencyCode": "978"
}{
"encryptedData": "text"
}Last updated
Was this helpful?